Subject: 👓 I need your help (and I’ll pay for it)
From: Caleb Hammer <[email-masked]>
To: [email-masked]
Date: Thu, 14 May 2026 22:02:52 +0000 (UTC)

**********
THE HAMMER
**********

Breaking Down Money, Building Up Wealth.

Stop what you’re doing and put down the taquitos.

I need your help. We are working on making Dollarwise the absolute best budgeting app out there so you can finally stop being a financial dumpster fire.

But I’m not a mind reader. I need to know what features will actually help you get your sh*t together.

​
Since I’m asking for a favor, I'm paying up.

Take the Dollarwise Survey right now, and you’ll be entered to win $250. That’s $250 you can throw straight at your emergency fund or that suffocating credit card debt.

It takes exactly 10-12 minutes.

-->Take the Survey & Win $250 ( https://733480cc.click.convertkit-mail4.com/27ue48dwq7foh8z63zmu3hg9gp2d6hghglpvq/l2hehmhl7gd67ws6/aHR0cHM6Ly9kb2NzLmdvb2dsZS5jb20vZm9ybXMvZC9lLzFGQUlwUUxTZU0xRzc4MzN3Zll3cy0wT0JFYUR6aGF1YWQxUjRTdGVsY3dqRkF3VDJ4RTNKc1FRL3ZpZXdmb3Jt )
Take the Survey & Win $250 ( https://docs.google.com/forms/d/e/1FAIpQLSeM1G7833wfYws-0OBEaDzhauad1R4StelcwjFAwT2xE3JsQQ/viewform )The deadline to get your name in is this Wednesday, May 20th. Do it now.

Taquitos,

Caleb Hammer

P.S. Don't be the person who misses out on free money because you were too busy scrolling TikTok. Grab the cash.
​

​
​Unsubscribe ( https://733480cc.unsubscribe.convertkit-mail4.com/27ue48dwq7foh8z63zmu3hg9gp2d6hghglpvq ) · Preferences ( https://preferences.convertkit-mail4.com/27ue48dwq7foh8z63zmu3hg9gp2d6hghglpvq )​

​